AsterNet Class Library (Sandcastle documentation)
AsterNet Class Library (Sandcastle documentation)
AsterNET
Common Class
Common Fields
AGI_ADDITIONAL_ATTRIBUTE_PATTERN Field
AGI_ADDITIONAL_ATTRIBUTES_PATTERN Field
AGI_BIND_ADDRESS Field
AGI_BIND_PORT Field
AGI_DEFAULT_MAX_DIGITS Field
AGI_DEFAULT_RESOURCE_BUNDLE_NAME Field
AGI_DEFAULT_TIMEOUT Field
AGI_END_OF_PROPER_USAGE Field
AGI_PARAMETER_PATTERN Field
AGI_PARENTHESIS_PATTERN Field
AGI_POOL_SIZE Field
AGI_RESULT_PATTERN Field
AGI_SCRIPT_PATTERN Field
AGI_STATUS_PATTERN Field
AGI_SYNOPSIS_PATTERN Field
ASTERISK_VERSION Field
CultureInfoEn Field
DEFAULT_HOSTNAME Field
DEFAULT_PORT Field
INTERNAL_ACTION_ID_DELIMITER Field
LINE_SEPARATOR Field
MINUS_SEPARATOR Field
RESPONSE_KEY_VALUE_SEPARATOR Field
SHOW_VERSION_FILES_PATTERN Field
VAR_DELIMITER Field

| Common Fields

The Common type exposes the following members.

Fields

| Name | Description
--- | --- | ---
| AGI_ADDITIONAL_ATTRIBUTE_PATTERN |
| AGI_ADDITIONAL_ATTRIBUTES_PATTERN |
| AGI_BIND_ADDRESS | The default AGI bind address.
| AGI_BIND_PORT | The default AGI bind port.
| AGI_DEFAULT_MAX_DIGITS |
| AGI_DEFAULT_RESOURCE_BUNDLE_NAME |
| AGI_DEFAULT_TIMEOUT |
| AGI_END_OF_PROPER_USAGE |
| AGI_PARAMETER_PATTERN |
| AGI_PARENTHESIS_PATTERN |
| AGI_POOL_SIZE | The default AGI thread pool size.
| AGI_RESULT_PATTERN |
| AGI_SCRIPT_PATTERN |
| AGI_STATUS_PATTERN |
| AGI_SYNOPSIS_PATTERN |
| ASTERISK_VERSION |
| CultureInfoEn |
| DEFAULT_HOSTNAME | The hostname to use if none is provided.
| DEFAULT_PORT | The port to use if none is provided.
| INTERNAL_ACTION_ID_DELIMITER |
| LINE_SEPARATOR | Line separator
| MINUS_SEPARATOR |
| RESPONSE_KEY_VALUE_SEPARATOR |
| SHOW_VERSION_FILES_PATTERN |
| VAR_DELIMITER | Obsolete.

Top
See Also

#### Reference

Common Class
AsterNET Namespace